Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: [Wiki] [HOWTO] Установка сканеров, принтеров и МФУ Epson  (Прочитано 124846 раз)

0 Пользователей и 2 Гостей просматривают эту тему.

Оффлайн stmc

  • Автор темы
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
Установка сканеров, принтеров и МФУ Epson в Ubuntu Linux

Установка драйверов для принтеров Epson

Установка драйверов для сканеров Epson

Установка драйверов для МФУ Epson



(Нажмите, чтобы показать/скрыть)




Примечания по некоторым моделям:
- МФУ СХ4300 и DX4450 это одно и тоже устройство, различие лишь в названии и месте продажи, драйвера для СХ4300 в базе нет, следственно при установке принтера через стандартную утилиту нужно указывать драйвер от DX4450 и все будет работать идеально
« Последнее редактирование: 16 Июнь 2011, 18:41:08 от stmc »

Оффлайн mistic

  • Любитель
  • *
  • Сообщений: 91
    • Просмотр профиля
сорри если не сюда (вики отправила на эту страничку для обсуждения).
Проблема в следующем: принтер Epson Stylus T27 (ubuntu 10.10) не печатает странички (даже тест), сделал все как описано в вики, результата 0, только ставит в очередь печати и после пары минут грит типа задание выполнено  ???
« Последнее редактирование: 23 Февраль 2011, 14:49:34 от mistic »

Оффлайн esvova

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Не те дрова. У меня тоже самое было на Самсунге.  У меня ML1660,  а в сборке были по-моему 1661. Все принтер определялся как надо но тоже не печатал. Нашел дрова на 1660 в инете, поставил, работает как часики. 

Оффлайн mistic

  • Любитель
  • *
  • Сообщений: 91
    • Просмотр профиля
спс, наконец то подрубился

Оффлайн stmc

  • Автор темы
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
драйвера для плоттера Epson Stylus Pro 7900, для 32bit
http://dl.dropbox.com/u/8047492/pips-common_3.8.0-0ubuntu1_i386.deb
http://dl.dropbox.com/u/8047492/pips-sp7900_3.0.0-0ubuntu1_i386.deb

p/s по запросу могу собрать и для 64bit
« Последнее редактирование: 15 Март 2011, 20:58:21 от stmc »

Оффлайн hivemind

  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Чёрт, pipslite требует libltdl3, а в репах есть только libltdl7(уже установлена). В итоге pipslite не хочет ставиться. МФУ Epson Stylus TX219. ЧЯДНТ?

Пользователь решил продолжить мысль 24 Март 2011, 18:53:20:
О, ребутнулся, заработало без pipslite
« Последнее редактирование: 24 Март 2011, 18:53:20 от hivemind »

Оффлайн kofesutra

  • Участник
  • *
  • Сообщений: 219
    • Просмотр профиля
Спасибо! Epson cx 4300 заработал.

Оффлайн valcoder

  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Скачал по последней ссылке драйвера на EPSON TX 210 ,deb пакеты,но при установке выдает.

Ошибка: Зависимость не может быть удовлетворена: libltdl3 (>= 1.5.2-2)
Ошибка: Зависимость не может быть удовлетворена: iscan (>= 2.21.0)
Ошибка: Зависимость не может быть удовлетворена: libltdl3 (>= 1.5.2-2)

Установился только data пакет.Остальные 3 пакета выходят с такой ошибкой.Подскажите пожалуйста где копать?
Комп видит только принтер,остальное ни фига.
« Последнее редактирование: 24 Март 2011, 22:39:43 от valcoder »

Оффлайн stmc

  • Автор темы
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
вроде ж предупреждение в wiki есть
ВАЖНО:
Если у вас Ubuntu версии ниже 8.10, то пакет iscan_2.26.X.X нужно скачивать БЕЗ ltdl7 в названии.

Оффлайн valcoder

  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
У меня UBUNTU 10.10

Оффлайн Pavel_Belg

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
У меня UBUNTU 10.10
Приветствую всех!
У меня аналогичная ситуация.
All-in-One SX 210, принтер запустил, подсунув при установке принтера через CUPS, ppd из пакета дебиана ( при установке самого пакета эффета не было)
а вот со сканером и остальными функциями проблемки :(
Приходится пользоваться иными средствами :( для сканирования.
Может есть какое то решение?

Заранее спасибо за помощь.

OS Kubuntu 10.10

Оффлайн stmc

  • Автор темы
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
У меня UBUNTU 10.10
уж извини, но ВКЛЮЧИ МОЗГ
ты не то скачал

если ниже 8.10, то libltdl3
если выше 8.10, то libltdl7

10.10 выше 8.10, значит нужен пакет с libltdl7 в названии

Оффлайн valcoder

  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
У меня UBUNTU 10.10
уж извини, но ВКЛЮЧИ МОЗГ
ты не то скачал

если ниже 8.10, то libltdl3
если выше 8.10, то libltdl7

10.10 выше 8.10, значит нужен пакет с libltdl7 в названии

Спасибо,скачал только этот пакет и проблема решилась.

Оффлайн Pavel_Belg

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Приветствую всех!

Я дико извиняюсь, но всё ж таки проблема осталась :(

Ну не видит система сканер на SX210 :(
sudo sane-find-scanner -q
found USB scanner (vendor=0x04b8, product=0x084f) at libusb:001:002
И далее
sudo scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation                                                                                                             
which came with this software (README, FAQ, manpages).

Заколдованный круг однако :(, может есть идеи как решить сие?
Вот эту инструкцию прочитал с начала до конца, пробовал по ней всё сделать но не вышел каменный цветок :(
]http://help.ubuntu.ru/wiki/%D0%BF%D0%B5%D1%80%D0%B8%D1%84%D0%B5%D1%80%D0%B8%D0%B9%D0%BD%D1%8B%D0%B5_%D1%83%D1%81%D1%82%D1%80%D0%BE%D0%B9%D1%81%D1%82%D0%B2%D0%B0/%D1%83%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%BA%D0%B0_%D0%BC%D1%84%D1%83_epson]

Оффлайн stmc

  • Автор темы
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
и что вас так смущает......?
все же есть - vendor=0x04b8, product=0x084f

в терминале:
sudo gedit /etc/udev/rules.d/45-libsane.rules
вписать туда следующее:
SYSFS{idVendor}=="0x04b8", SYSFS{idProduct}=="0x084f", MODE="664", GROUP="saned", ENV{libsane_matched}="yes"
сохранить

все остальное сделать как по ссылке, в красной рамке



p/s обязательно должны быть установлены пакеты:
pipslite_1.5.0-2_i386.deb
iscan-network-nt_1.1.0-2_i386.deb
iscan-data_1.8.0-0_all.deb
iscan_2.26.2-1.ltdl7_i386.deb
« Последнее редактирование: 28 Март 2011, 00:16:26 от stmc »

 

Страница сгенерирована за 0.127 секунд. Запросов: 23.